---
title: "bigquery/ERR/2022_004"
linkTitle: "ERR/2022_004"
weight: 1
type: docs
description: >
  BigQuery jobs are not failing due to shuffle operation resources exceeded
---

**Product**: [BigQuery](https://cloud.google.com/bigquery)\
**Rule class**: ERR - Something that is very likely to be wrong

### Description

The query job failed because the maximum disk and memory limit available for shuffle
operations was exceeded for the project or organization.

### Remediation

The limit cannot be increased for users - it is linearly correlated to the
number of slots available in the project. Provision more slots for this to be
increased.

Further recommendations that can help:

- Reduce query concurrency
- Optimize the query to use less shuffle resources
- Query less data within a single query job
- Materialize intermediate results

### Further information

- [Read more about avoiding SQL anti-patterns in BigQuery](https://cloud.google.com/bigquery/docs/best-practices-performance-patterns)
- [Read more about optimizing communication between slots](https://cloud.google.com/bigquery/docs/best-practices-performance-communication)
