---
title: "cloudsql/WARN/2022_001"
linkTitle: "WARN/2022_001"
weight: 1
type: docs
description: >
  Cloud SQL is not using Docker bridge network.
---

**Product**: [CloudSQL](https://cloud.google.com/sql)\
**Rule class**: WARN - Something that is possibly wrong

### Description

The IP range 172.17.0.0/16 is reserved for the Docker bridge network.
Any Cloud SQL instances created with an IP in that range will be unreachable.
Connections from any IP within that range to Cloud SQL instances using private
IP fail.

### Remediation

Make sure that you do not use Docker bridge network for instances that need to
get accessed via private ip.

### Further information

 - [Configure private IP](https://cloud.google.com/sql/docs/mysql/configure-private-ip)
