---
title: "gcb/ERR/2022_003"
linkTitle: "ERR/2022_003"
weight: 1
type: docs
description: >
  Builds don't fail because of retention policy set on logs bucket.
---

**Product**: [Cloud Build](https://cloud.google.com/build)\
**Rule class**: ERR - Something that is very likely to be wrong

### Description

Builds that upload logs to bucket with retention policy must do that once build is finished instead
of streaming them.

### Remediation

You can resolve this error by
removing this retention policy on the bucket, or setting following build
options: "logging: GCS_ONLY" and "logStreamingOption: STREAM_OFF".

### Further information

- https://cloud.google.com/build/docs/api/reference/rest/v1/projects.builds#logstreamingoption
- https://cloud.google.com/build/docs/api/reference/rest/v1/projects.builds#loggingmode
- https://cloud.google.com/storage/docs/bucket-lock#retention-policy
