---
title: "gke/WARN/2022_006"
linkTitle: "WARN/2022_006"
weight: 1
type: docs
description: >
  GKE NAP nodes use a containerd image.
---

**Product**: [Google Kubernetes Engine](https://cloud.google.com/kubernetes-engine)\
**Rule class**: WARN - Something that is possibly wrong

### Description

GKE will stop supporting node images that use Docker as the runtime in GKE version 1.24 and later.

### Remediation

Switch to the containerd image types.

### Further information

- [GKE NAP node images](https://cloud.google.com/kubernetes-engine/docs/how-to/node-auto-provisioning#default-image-type)
- [Using containerd](https://cloud.google.com/kubernetes-engine/docs/concepts/using-containerd)
- [Migrating from Docker to containerd](https://cloud.google.com/kubernetes-engine/docs/deprecations/docker-containerd)
