---
title: "iam/SEC/2021_001"
linkTitle: "SEC/2021_001"
weight: 1
type: docs
description: >
  No service accounts have the Owner role
---

**Product**: [Identity and Access Management (IAM)](https://cloud.google.com/iam)\
**Rule class**: SEC - Potential security issue

### Description

A service account should not have a role that could potentially increase the security risk
to the project to malicious activity

### Remediation

Restrict the permissions of all service accounts in your project to the minimum
required permissions.

### Further information

- [Best Practices for Securing Service Accounts](https://cloud.google.com/iam/docs/best-practices-for-securing-service-accounts)
